std::exception_ptr Class Reference

`#include <exception>`

## Public Member Functions

| exception_ptr (const exception_ptr &) noexcept
| exception_ptr (exception_ptr &&__o) noexcept
| exception_ptr (nullptr_t) noexcept
const class std::type_info * | __cxa_exception_type () const noexcept
| operator bool () const noexcept
exception_ptr & | operator= (const exception_ptr &) noexcept
exception_ptr & | operator= (exception_ptr &&__o) noexcept
void | swap (exception_ptr &) noexcept

## Friends

bool | operator== (const exception_ptr &, const exception_ptr &) noexcept=default
exception_ptr | std::current_exception () noexcept
template<typename _Ex>
exception_ptr | std::make_exception_ptr (_Ex) noexcept
void | std::rethrow_exception (exception_ptr)
void | swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Related Symbols

(Note that these are not member symbols.)
void | swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Detailed Description

An opaque pointer to an arbitrary exception.

The actual name of this type is unspecified, so the alias std::exception_ptr should be used to refer to it.

Since
  C++11 (but usable in C++98 as a GCC extension)

Definition at line 105 of file exception_ptr.h.

## Constructor & Destructor Documentation

## exception_ptr() [1/4]

std::__unspecified__::exception_ptr::exception_ptr | ( |  | ) |

inline noexcept

Definition at line 229 of file exception_ptr.h.

## exception_ptr() [2/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | const exception_ptr & | __other | ) |

inline noexcept

Definition at line 235 of file exception_ptr.h.

## exception_ptr() [3/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | nullptr_t |  | ) |

inline noexcept

Definition at line 156 of file exception_ptr.h.

## exception_ptr() [4/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | exception_ptr && | __o | ) |

inline noexcept

Definition at line 160 of file exception_ptr.h.

## ~exception_ptr()

std::__unspecified__::exception_ptr::~exception_ptr | ( |  | ) |

inline noexcept

Definition at line 254 of file exception_ptr.h.

## Member Function Documentation

## operator bool()

std::__unspecified__::exception_ptr::operator bool | ( |  | ) | const

inline explicit noexcept

Definition at line 198 of file exception_ptr.h.

## operator=() [1/2]

exception_ptr & std::__unspecified__::exception_ptr::operator= | ( | const exception_ptr & | __other | ) |

inline noexcept

Definition at line 271 of file exception_ptr.h.

## operator=() [2/2]

exception_ptr & std::__unspecified__::exception_ptr::operator= | ( | exception_ptr && | __o | ) |

inline noexcept

Definition at line 177 of file exception_ptr.h.

## swap()

void std::__unspecified__::exception_ptr::swap | ( | exception_ptr & | __other | ) |

inline noexcept

Definition at line 279 of file exception_ptr.h.

## Friends And Related Symbol Documentation

## swap()

void swap | ( | exception_ptr & | __lhs,
|  | exception_ptr & | __rhs )

related

Definition at line 288 of file exception_ptr.h.

The documentation for this class was generated from the following file:

- exception_ptr.h